#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        New address book API for KDE
Name:           kcontacts
Epoch:          1
Version: 6.1.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(iso-codes)
Requires:       iso-codes


%description
New address book API for KDE.

%files -f %name.lang
%_kf6_categoriesdir/kcontacts.categories
%_kf6_categoriesdir/kcontacts.renamecategories

#--------------------------------------------------------------------

%define kf6contacts_major 6
%define libkf6contacts %mklibname kf6contacts %{kf6contacts_major}

%package -n %libkf6contacts
Summary:        New address book API for KDE
Group:          System/Libraries
Requires:       %name >= %{epoch}:%version-%release

%description -n %libkf6contacts
New address book API for KDE.

%files -n %libkf6contacts
%_kf6_libdir/libKF6Contacts.so.%{kf6contacts_major}{,.*}
%_kf6_libdir/libKF6Contacts.so.%{version}

#--------------------------------------------------------------------

%define kf6contacts_devel %mklibname kf6contacts -d

%package -n %kf6contacts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6contacts = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6contacts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6contacts_devel
%_kf6_includedir/KContacts/
%_kf6_libdir/libKF6Contacts.so
%_kf6_libdir/cmake/KF6Contacts/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sat Apr 13 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2056815
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044913
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037473
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029565
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025601
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2005836
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1998950
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987342
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952024
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947833
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941339
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934989
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922234
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911604
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900208
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887643
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880590
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871690
- New version 5.96.0
- New version 5.93.0

* Sun Apr 10 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848439
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754818
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723442
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714838
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702016
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691107
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653321
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633175
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625596
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612306
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603080
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592774
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1582000
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566491
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556667
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546741
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1487072
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466215
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457600
- New version 5.64.0

* Wed Oct 16 2019 daviddavid <daviddavid> 1:5.63.0-2.mga8
+ Revision: 1454030
- add missing epoch

* Sun Oct 13 2019 daviddavid <daviddavid> 1:5.63.0-1.mga8
+ Revision: 1452499
- New version 5.63.0 (now part of KF5 stack)
- fix library and devel pkg name

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447338
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424956
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390411
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387615
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382150
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375548
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365530
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356470
- New version 18.12.1

* Thu Dec 20 2018 daviddavid <daviddavid> 18.12.0-2.mga7
+ Revision: 1343714
- enable IsoCodes support

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339478
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332709
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298462
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240728
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201859
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194882
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186420
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143003
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136742
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1133516
- Fix for new find_lang
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130866
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090039
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076775
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071987
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067305
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061364
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050631
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047263
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040026
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012516
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004306
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995841
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991156
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987425
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922594
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911926
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905384
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901120
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890600
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880413
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865931
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863945
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861744
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-3.mga6
+ Revision: 858735
- Split files out of the library

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858447
- Fix lib name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858409
- imported package kcontacts

